# KSPGetMonitorContext

Gets the monitoring context, as set by KSPMonitorSet() for the FIRST monitor only.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetMonitorContext(KSP ksp,void **ctx)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

ctx -monitoring context

### Keywords

KSP, get, monitor, context

### See Also

KSPMonitorDefault(), KSPMonitorLGCreate()

Level:intermediate
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages